---
title: llarp::dht::TagLookup

---

# llarp::dht::TagLookup





Inherits from [llarp::dht::TX< service::Tag, service::EncryptedIntroSet >](Classes/structllarp_1_1dht_1_1TX.md)

Inherited by [llarp::dht::LocalTagLookup](Classes/structllarp_1_1dht_1_1LocalTagLookup.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[TagLookup](Classes/structllarp_1_1dht_1_1TagLookup.md#function-taglookup)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & asker, const [service::Tag](Classes/structllarp_1_1service_1_1Tag.md) & tag, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * ctx, uint64_t recursion) |
| virtual bool | **[Validate](Classes/structllarp_1_1dht_1_1TagLookup.md#function-validate)**(const [service::EncryptedIntroSet](Classes/structllarp_1_1service_1_1EncryptedIntroSet.md) & introset) const override |
| virtual void | **[Start](Classes/structllarp_1_1dht_1_1TagLookup.md#function-start)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & peer) override |
| virtual void | **[SendReply](Classes/structllarp_1_1dht_1_1TagLookup.md#function-sendreply)**() override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| uint64_t | **[recursionDepth](Classes/structllarp_1_1dht_1_1TagLookup.md#variable-recursiondepth)**  |

## Additional inherited members

**Public Functions inherited from [llarp::dht::TX< service::Tag, service::EncryptedIntroSet >](Classes/structllarp_1_1dht_1_1TX.md)**

|                | Name           |
| -------------- | -------------- |
| | **[TX](Classes/structllarp_1_1dht_1_1TX.md#function-tx)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & asker, const K & k, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * p) |
| virtual | **[~TX](Classes/structllarp_1_1dht_1_1TX.md#function-~tx)**() =default |
| void | **[OnFound](Classes/structllarp_1_1dht_1_1TX.md#function-onfound)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & askedPeer, const V & value) |
| util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1dht_1_1TX.md#function-extractstatus)**() const |

**Public Attributes inherited from [llarp::dht::TX< service::Tag, service::EncryptedIntroSet >](Classes/structllarp_1_1dht_1_1TX.md)**

|                | Name           |
| -------------- | -------------- |
| K | **[target](Classes/structllarp_1_1dht_1_1TX.md#variable-target)**  |
| [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * | **[parent](Classes/structllarp_1_1dht_1_1TX.md#variable-parent)**  |
| std::set< [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) > | **[peersAsked](Classes/structllarp_1_1dht_1_1TX.md#variable-peersasked)**  |
| std::vector< V > | **[valuesFound](Classes/structllarp_1_1dht_1_1TX.md#variable-valuesfound)**  |
| [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) | **[whoasked](Classes/structllarp_1_1dht_1_1TX.md#variable-whoasked)**  |


## Public Functions Documentation

### function TagLookup

```cpp
inline TagLookup(
    const TXOwner & asker,
    const service::Tag & tag,
    AbstractContext * ctx,
    uint64_t recursion
)
```


### function Validate

```cpp
virtual bool Validate(
    const service::EncryptedIntroSet & introset
) const override
```


**Reimplements**: [llarp::dht::TX::Validate](Classes/structllarp_1_1dht_1_1TX.md#function-validate)


### function Start

```cpp
virtual void Start(
    const TXOwner & peer
) override
```


**Reimplements**: [llarp::dht::TX::Start](Classes/structllarp_1_1dht_1_1TX.md#function-start)


### function SendReply

```cpp
virtual void SendReply() override
```


**Reimplements**: [llarp::dht::TX::SendReply](Classes/structllarp_1_1dht_1_1TX.md#function-sendreply)


## Public Attributes Documentation

### variable recursionDepth

```cpp
uint64_t recursionDepth;
```


-------------------------------

Updated on 2024-11-03 at 04:10:01 +0000