---
title: llarp::nuint_t

---

# llarp::nuint_t



 [More...](#detailed-description)

## Public Types

|                | Name           |
| -------------- | -------------- |
| using std::vector< uint8_t > | **[V6Container](Classes/structllarp_1_1nuint__t.md#using-v6container)**  |

## Public Functions

|                | Name           |
| -------------- | -------------- |
| constexpr [nuint_t](Classes/structllarp_1_1nuint__t.md) | **[operator&](Classes/structllarp_1_1nuint__t.md#function-operator&)**([nuint_t](Classes/structllarp_1_1nuint__t.md) x) const |
| constexpr [nuint_t](Classes/structllarp_1_1nuint__t.md) | **[operator|](Classes/structllarp_1_1nuint__t.md#function-operator|)**([nuint_t](Classes/structllarp_1_1nuint__t.md) x) const |
| constexpr [nuint_t](Classes/structllarp_1_1nuint__t.md) | **[operator^](Classes/structllarp_1_1nuint__t.md#function-operator^)**([nuint_t](Classes/structllarp_1_1nuint__t.md) x) const |
| constexpr [nuint_t](Classes/structllarp_1_1nuint__t.md) | **[operator~](Classes/structllarp_1_1nuint__t.md#function-operator~)**() const |
| [nuint_t](Classes/structllarp_1_1nuint__t.md) | **[operator++](Classes/structllarp_1_1nuint__t.md#function-operator++)**() |
| [nuint_t](Classes/structllarp_1_1nuint__t.md) | **[operator--](Classes/structllarp_1_1nuint__t.md#function-operator--)**() |
| constexpr bool | **[operator<](Classes/structllarp_1_1nuint__t.md#function-operator<)**([nuint_t](Classes/structllarp_1_1nuint__t.md) x) const |
| constexpr bool | **[operator!=](Classes/structllarp_1_1nuint__t.md#function-operator!=)**([nuint_t](Classes/structllarp_1_1nuint__t.md) x) const |
| constexpr bool | **[operator==](Classes/structllarp_1_1nuint__t.md#function-operator==)**([nuint_t](Classes/structllarp_1_1nuint__t.md) x) const |
| void | **[ToV6](Classes/structllarp_1_1nuint__t.md#function-tov6)**(V6Container & c) |
| std::string | **[ToString](Classes/structllarp_1_1nuint__t.md#function-tostring)**() const |
| bool | **[FromString](Classes/structllarp_1_1nuint__t.md#function-fromstring)**(const std::string & data) |
| [nuint_t](Classes/structllarp_1_1nuint__t.md)< UInt_t > | **[from_string](Classes/structllarp_1_1nuint__t.md#function-from-string)**(const std::string & str) |
| template <typename... Args_t\> <br>[nuint_t](Classes/structllarp_1_1nuint__t.md)< UInt_t > | **[from_host](Classes/structllarp_1_1nuint__t.md#function-from-host)**(Args_t &&... args) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| UInt_t | **[n](Classes/structllarp_1_1nuint__t.md#variable-n)**  |

## Detailed Description

```cpp
template <typename UInt_t >
struct llarp::nuint_t;
```

## Public Types Documentation

### using V6Container

```cpp
using llarp::nuint_t< UInt_t >::V6Container =  std::vector<uint8_t>;
```


## Public Functions Documentation

### function operator&

```cpp
inline constexpr nuint_t operator&(
    nuint_t x
) const
```


### function operator|

```cpp
inline constexpr nuint_t operator|(
    nuint_t x
) const
```


### function operator^

```cpp
inline constexpr nuint_t operator^(
    nuint_t x
) const
```


### function operator~

```cpp
inline constexpr nuint_t operator~() const
```


### function operator++

```cpp
inline nuint_t operator++()
```


### function operator--

```cpp
inline nuint_t operator--()
```


### function operator<

```cpp
inline constexpr bool operator<(
    nuint_t x
) const
```


### function operator!=

```cpp
inline constexpr bool operator!=(
    nuint_t x
) const
```


### function operator==

```cpp
inline constexpr bool operator==(
    nuint_t x
) const
```


### function ToV6

```cpp
void ToV6(
    V6Container & c
)
```


### function ToString

```cpp
std::string ToString() const
```


### function FromString

```cpp
inline bool FromString(
    const std::string & data
)
```


### function from_string

```cpp
static inline nuint_t< UInt_t > from_string(
    const std::string & str
)
```


### function from_host

```cpp
template <typename... Args_t>
static inline nuint_t< UInt_t > from_host(
    Args_t &&... args
)
```


## Public Attributes Documentation

### variable n

```cpp
UInt_t n = 0;
```


-------------------------------

Updated on 2024-11-03 at 04:10:01 +0000