---
title: tooling::PathStatusReceivedEvent

---

# tooling::PathStatusReceivedEvent





Inherits from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[PathStatusReceivedEvent](Classes/structtooling_1_1PathStatusReceivedEvent.md#function-pathstatusreceivedevent)**(const [llarp::RouterID](Classes/structllarp_1_1RouterID.md) & routerID, const [llarp::PathID_t](Classes/structllarp_1_1PathID__t.md) rxid_, uint64_t status_) |
| virtual std::string | **[ToString](Classes/structtooling_1_1PathStatusReceivedEvent.md#function-tostring)**() const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [llarp::PathID_t](Classes/structllarp_1_1PathID__t.md) | **[rxid](Classes/structtooling_1_1PathStatusReceivedEvent.md#variable-rxid)**  |
| uint64_t | **[status](Classes/structtooling_1_1PathStatusReceivedEvent.md#variable-status)**  |

## Additional inherited members

**Public Functions inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| | **[RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-routerevent)**(std::string eventType, [llarp::RouterID](Classes/structllarp_1_1RouterID.md) routerID, bool triggered) |
| virtual | **[~RouterEvent](Classes/structtooling_1_1RouterEvent.md#function-~routerevent)**() =default |

**Public Attributes inherited from [tooling::RouterEvent](Classes/structtooling_1_1RouterEvent.md)**

|                | Name           |
| -------------- | -------------- |
| const std::string | **[eventType](Classes/structtooling_1_1RouterEvent.md#variable-eventtype)**  |
| [llarp::RouterID](Classes/structllarp_1_1RouterID.md) | **[routerID](Classes/structtooling_1_1RouterEvent.md#variable-routerid)**  |
| bool | **[triggered](Classes/structtooling_1_1RouterEvent.md#variable-triggered)**  |


## Public Functions Documentation

### function PathStatusReceivedEvent

```cpp
inline PathStatusReceivedEvent(
    const llarp::RouterID & routerID,
    const llarp::PathID_t rxid_,
    uint64_t status_
)
```


### function ToString

```cpp
inline virtual std::string ToString() const
```


**Reimplements**: [tooling::RouterEvent::ToString](Classes/structtooling_1_1RouterEvent.md#function-tostring)


## Public Attributes Documentation

### variable rxid

```cpp
llarp::PathID_t rxid;
```


### variable status

```cpp
uint64_t status;
```


-------------------------------

Updated on 2024-11-03 at 04:10:01 +0000