---
title: llarp/util/priority_queue.hpp

---

# llarp/util/priority_queue.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::util](Namespaces/namespacellarp_1_1util.md)**  |




## Source code

```cpp
#pragma once

#include <queue>
#include <vector>

namespace llarp::util
{
  template <typename T, typename Container = std::vector<T>>
  using ascending_priority_queue =
      std::priority_queue<T, Container, std::greater<typename Container::value_type>>;

}  // namespace llarp::util
```


-------------------------------

Updated on 2024-11-03 at 04:10:02 +0000
