---
title: llarp::LinkMessageParser

---

# llarp::LinkMessageParser





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[LinkMessageParser](Classes/structllarp_1_1LinkMessageParser.md#function-linkmessageparser)**([AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) * router) |
| | **[~LinkMessageParser](Classes/structllarp_1_1LinkMessageParser.md#function-~linkmessageparser)**() |
| bool | **[operator()](Classes/structllarp_1_1LinkMessageParser.md#function-operator())**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buffer, [llarp_buffer_t](Classes/structllarp__buffer__t.md) * key) |
| bool | **[ProcessFrom](Classes/structllarp_1_1LinkMessageParser.md#function-processfrom)**([ILinkSession](Classes/structllarp_1_1ILinkSession.md) * from, const [llarp_buffer_t](Classes/structllarp__buffer__t.md) & buf)<br>start processig message from a link session  |
| bool | **[MessageDone](Classes/structllarp_1_1LinkMessageParser.md#function-messagedone)**()<br>called when the message is fully read return true when the message was accepted otherwise returns false  |
| void | **[Reset](Classes/structllarp_1_1LinkMessageParser.md#function-reset)**()<br>resets internal state  |

## Public Functions Documentation

### function LinkMessageParser

```cpp
LinkMessageParser(
    AbstractRouter * router
)
```


### function ~LinkMessageParser

```cpp
~LinkMessageParser()
```


### function operator()

```cpp
bool operator()(
    llarp_buffer_t * buffer,
    llarp_buffer_t * key
)
```


### function ProcessFrom

```cpp
bool ProcessFrom(
    ILinkSession * from,
    const llarp_buffer_t & buf
)
```

start processig message from a link session 

### function MessageDone

```cpp
bool MessageDone()
```

called when the message is fully read return true when the message was accepted otherwise returns false 

### function Reset

```cpp
void Reset()
```

resets internal state 

-------------------------------

Updated on 2024-11-03 at 04:10:01 +0000