---
title: llarp::dht::FindIntroMessage

---

# llarp::dht::FindIntroMessage





Inherits from [llarp::dht::IMessage](Classes/structllarp_1_1dht_1_1IMessage.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[FindIntroMessage](Classes/structllarp_1_1dht_1_1FindIntroMessage.md#function-findintromessage)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & from, bool relay, uint64_t order) |
| | **[FindIntroMessage](Classes/structllarp_1_1dht_1_1FindIntroMessage.md#function-findintromessage)**(const [llarp::service::Tag](Classes/structllarp_1_1service_1_1Tag.md) & tag, uint64_t txid) |
| | **[FindIntroMessage](Classes/structllarp_1_1dht_1_1FindIntroMessage.md#function-findintromessage)**(uint64_t txid, const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & addr, uint64_t order) |
| | **[~FindIntroMessage](Classes/structllarp_1_1dht_1_1FindIntroMessage.md#function-~findintromessage)**() override |
| virtual bool | **[BEncode](Classes/structllarp_1_1dht_1_1FindIntroMessage.md#function-bencode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) const override |
| virtual bool | **[DecodeKey](Classes/structllarp_1_1dht_1_1FindIntroMessage.md#function-decodekey)**(const [llarp_buffer_t](Classes/structllarp__buffer__t.md) & key, [llarp_buffer_t](Classes/structllarp__buffer__t.md) * val) override |
| virtual bool | **[HandleMessage](Classes/structllarp_1_1dht_1_1FindIntroMessage.md#function-handlemessage)**([llarp_dht_context](Classes/structllarp__dht__context.md) * ctx, std::vector< IMessage::Ptr_t > & replies) const override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) | **[location](Classes/structllarp_1_1dht_1_1FindIntroMessage.md#variable-location)**  |
| [llarp::service::Tag](Classes/structllarp_1_1service_1_1Tag.md) | **[tagName](Classes/structllarp_1_1dht_1_1FindIntroMessage.md#variable-tagname)**  |
| uint64_t | **[txID](Classes/structllarp_1_1dht_1_1FindIntroMessage.md#variable-txid)**  |
| bool | **[relayed](Classes/structllarp_1_1dht_1_1FindIntroMessage.md#variable-relayed)**  |
| uint64_t | **[relayOrder](Classes/structllarp_1_1dht_1_1FindIntroMessage.md#variable-relayorder)**  |

## Additional inherited members

**Public Types inherited from [llarp::dht::IMessage](Classes/structllarp_1_1dht_1_1IMessage.md)**

|                | Name           |
| -------------- | -------------- |
| using std::unique_ptr< [IMessage](Classes/structllarp_1_1dht_1_1IMessage.md) > | **[Ptr_t](Classes/structllarp_1_1dht_1_1IMessage.md#using-ptr-t)**  |

**Public Functions inherited from [llarp::dht::IMessage](Classes/structllarp_1_1dht_1_1IMessage.md)**

|                | Name           |
| -------------- | -------------- |
| virtual | **[~IMessage](Classes/structllarp_1_1dht_1_1IMessage.md#function-~imessage)**() =default |
| | **[IMessage](Classes/structllarp_1_1dht_1_1IMessage.md#function-imessage)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & from)<br>construct  |

**Public Attributes inherited from [llarp::dht::IMessage](Classes/structllarp_1_1dht_1_1IMessage.md)**

|                | Name           |
| -------------- | -------------- |
| [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) | **[From](Classes/structllarp_1_1dht_1_1IMessage.md#variable-from)**  |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[pathID](Classes/structllarp_1_1dht_1_1IMessage.md#variable-pathid)**  |
| uint64_t | **[version](Classes/structllarp_1_1dht_1_1IMessage.md#variable-version)**  |


## Public Functions Documentation

### function FindIntroMessage

```cpp
inline FindIntroMessage(
    const Key_t & from,
    bool relay,
    uint64_t order
)
```


### function FindIntroMessage

```cpp
inline FindIntroMessage(
    const llarp::service::Tag & tag,
    uint64_t txid
)
```


### function FindIntroMessage

```cpp
inline explicit FindIntroMessage(
    uint64_t txid,
    const Key_t & addr,
    uint64_t order
)
```


### function ~FindIntroMessage

```cpp
~FindIntroMessage() override
```


### function BEncode

```cpp
virtual bool BEncode(
    llarp_buffer_t * buf
) const override
```


**Reimplements**: [llarp::dht::IMessage::BEncode](Classes/structllarp_1_1dht_1_1IMessage.md#function-bencode)


### function DecodeKey

```cpp
virtual bool DecodeKey(
    const llarp_buffer_t & key,
    llarp_buffer_t * val
) override
```


**Reimplements**: [llarp::dht::IMessage::DecodeKey](Classes/structllarp_1_1dht_1_1IMessage.md#function-decodekey)


### function HandleMessage

```cpp
virtual bool HandleMessage(
    llarp_dht_context * ctx,
    std::vector< IMessage::Ptr_t > & replies
) const override
```


**Reimplements**: [llarp::dht::IMessage::HandleMessage](Classes/structllarp_1_1dht_1_1IMessage.md#function-handlemessage)


## Public Attributes Documentation

### variable location

```cpp
Key_t location;
```


### variable tagName

```cpp
llarp::service::Tag tagName;
```


### variable txID

```cpp
uint64_t txID = 0;
```


### variable relayed

```cpp
bool relayed = false;
```


### variable relayOrder

```cpp
uint64_t relayOrder = 0;
```


-------------------------------

Updated on 2024-11-03 at 04:10:01 +0000