---
title: llarp::dht::LocalRouterLookup

---

# llarp::dht::LocalRouterLookup





Inherits from [llarp::dht::RecursiveRouterLookup](Classes/structllarp_1_1dht_1_1RecursiveRouterLookup.md), [llarp::dht::TX< RouterID, RouterContact >](Classes/structllarp_1_1dht_1_1TX.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[LocalRouterLookup](Classes/structllarp_1_1dht_1_1LocalRouterLookup.md#function-localrouterlookup)**(const [PathID_t](Classes/structllarp_1_1PathID__t.md) & path, uint64_t txid, const [RouterID](Classes/structllarp_1_1RouterID.md) & target, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * ctx) |
| virtual void | **[SendReply](Classes/structllarp_1_1dht_1_1LocalRouterLookup.md#function-sendreply)**() override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[localPath](Classes/structllarp_1_1dht_1_1LocalRouterLookup.md#variable-localpath)**  |

## Additional inherited members

**Public Functions inherited from [llarp::dht::RecursiveRouterLookup](Classes/structllarp_1_1dht_1_1RecursiveRouterLookup.md)**

|                | Name           |
| -------------- | -------------- |
| | **[RecursiveRouterLookup](Classes/structllarp_1_1dht_1_1RecursiveRouterLookup.md#function-recursiverouterlookup)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & whoasked, const [RouterID](Classes/structllarp_1_1RouterID.md) & target, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * ctx, RouterLookupHandler result) |
| virtual bool | **[Validate](Classes/structllarp_1_1dht_1_1RecursiveRouterLookup.md#function-validate)**(const [RouterContact](Classes/structllarp_1_1RouterContact.md) & rc) const override |
| virtual void | **[Start](Classes/structllarp_1_1dht_1_1RecursiveRouterLookup.md#function-start)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & peer) override |

**Public Attributes inherited from [llarp::dht::RecursiveRouterLookup](Classes/structllarp_1_1dht_1_1RecursiveRouterLookup.md)**

|                | Name           |
| -------------- | -------------- |
| RouterLookupHandler | **[resultHandler](Classes/structllarp_1_1dht_1_1RecursiveRouterLookup.md#variable-resulthandler)**  |

**Public Functions inherited from [llarp::dht::TX< RouterID, RouterContact >](Classes/structllarp_1_1dht_1_1TX.md)**

|                | Name           |
| -------------- | -------------- |
| | **[TX](Classes/structllarp_1_1dht_1_1TX.md#function-tx)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & asker, const K & k, [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * p) |
| virtual | **[~TX](Classes/structllarp_1_1dht_1_1TX.md#function-~tx)**() =default |
| void | **[OnFound](Classes/structllarp_1_1dht_1_1TX.md#function-onfound)**(const [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) & askedPeer, const V & value) |
| util::StatusObject | **[ExtractStatus](Classes/structllarp_1_1dht_1_1TX.md#function-extractstatus)**() const |
| virtual bool | **[Validate](Classes/structllarp_1_1dht_1_1TX.md#function-validate)**(const V & value) const =0 |
| virtual void | **[Start](Classes/structllarp_1_1dht_1_1TX.md#function-start)**(const [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) & peer) =0 |

**Public Attributes inherited from [llarp::dht::TX< RouterID, RouterContact >](Classes/structllarp_1_1dht_1_1TX.md)**

|                | Name           |
| -------------- | -------------- |
| K | **[target](Classes/structllarp_1_1dht_1_1TX.md#variable-target)**  |
| [AbstractContext](Classes/structllarp_1_1dht_1_1AbstractContext.md) * | **[parent](Classes/structllarp_1_1dht_1_1TX.md#variable-parent)**  |
| std::set< [Key_t](Classes/structllarp_1_1dht_1_1Key__t.md) > | **[peersAsked](Classes/structllarp_1_1dht_1_1TX.md#variable-peersasked)**  |
| std::vector< V > | **[valuesFound](Classes/structllarp_1_1dht_1_1TX.md#variable-valuesfound)**  |
| [TXOwner](Classes/structllarp_1_1dht_1_1TXOwner.md) | **[whoasked](Classes/structllarp_1_1dht_1_1TX.md#variable-whoasked)**  |


## Public Functions Documentation

### function LocalRouterLookup

```cpp
LocalRouterLookup(
    const PathID_t & path,
    uint64_t txid,
    const RouterID & target,
    AbstractContext * ctx
)
```


### function SendReply

```cpp
virtual void SendReply() override
```


**Reimplements**: [llarp::dht::TX::SendReply](Classes/structllarp_1_1dht_1_1TX.md#function-sendreply)


## Public Attributes Documentation

### variable localPath

```cpp
PathID_t localPath;
```


-------------------------------

Updated on 2024-11-03 at 04:10:01 +0000