---
title: llarp::routing::PathConfirmMessage

---

# llarp::routing::PathConfirmMessage





Inherits from [llarp::routing::IMessage](Classes/structllarp_1_1routing_1_1IMessage.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[PathConfirmMessage](Classes/structllarp_1_1routing_1_1PathConfirmMessage.md#function-pathconfirmmessage)**() =default |
| | **[PathConfirmMessage](Classes/structllarp_1_1routing_1_1PathConfirmMessage.md#function-pathconfirmmessage)**(llarp_time_t lifetime) |
| | **[~PathConfirmMessage](Classes/structllarp_1_1routing_1_1PathConfirmMessage.md#function-~pathconfirmmessage)**() override =default |
| virtual bool | **[BEncode](Classes/structllarp_1_1routing_1_1PathConfirmMessage.md#function-bencode)**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buf) const override |
| virtual bool | **[DecodeKey](Classes/structllarp_1_1routing_1_1PathConfirmMessage.md#function-decodekey)**(const [llarp_buffer_t](Classes/structllarp__buffer__t.md) & key, [llarp_buffer_t](Classes/structllarp__buffer__t.md) * val) override |
| virtual bool | **[HandleMessage](Classes/structllarp_1_1routing_1_1PathConfirmMessage.md#function-handlemessage)**([IMessageHandler](Classes/structllarp_1_1routing_1_1IMessageHandler.md) * h, [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) * r) const override |
| virtual void | **[Clear](Classes/structllarp_1_1routing_1_1PathConfirmMessage.md#function-clear)**() override |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| llarp_time_t | **[pathLifetime](Classes/structllarp_1_1routing_1_1PathConfirmMessage.md#variable-pathlifetime)**  |
| llarp_time_t | **[pathCreated](Classes/structllarp_1_1routing_1_1PathConfirmMessage.md#variable-pathcreated)**  |

## Additional inherited members

**Public Functions inherited from [llarp::routing::IMessage](Classes/structllarp_1_1routing_1_1IMessage.md)**

|                | Name           |
| -------------- | -------------- |
| | **[IMessage](Classes/structllarp_1_1routing_1_1IMessage.md#function-imessage)**() =default |
| virtual | **[~IMessage](Classes/structllarp_1_1routing_1_1IMessage.md#function-~imessage)**() =default |
| bool | **[operator<](Classes/structllarp_1_1routing_1_1IMessage.md#function-operator<)**(const [IMessage](Classes/structllarp_1_1routing_1_1IMessage.md) & other) const |

**Public Attributes inherited from [llarp::routing::IMessage](Classes/structllarp_1_1routing_1_1IMessage.md)**

|                | Name           |
| -------------- | -------------- |
| [PathID_t](Classes/structllarp_1_1PathID__t.md) | **[from](Classes/structllarp_1_1routing_1_1IMessage.md#variable-from)**  |
| uint64_t | **[S](Classes/structllarp_1_1routing_1_1IMessage.md#variable-s)**  |
| uint64_t | **[version](Classes/structllarp_1_1routing_1_1IMessage.md#variable-version)**  |


## Public Functions Documentation

### function PathConfirmMessage

```cpp
PathConfirmMessage() =default
```


### function PathConfirmMessage

```cpp
PathConfirmMessage(
    llarp_time_t lifetime
)
```


### function ~PathConfirmMessage

```cpp
~PathConfirmMessage() override =default
```


### function BEncode

```cpp
virtual bool BEncode(
    llarp_buffer_t * buf
) const override
```


**Reimplements**: [llarp::routing::IMessage::BEncode](Classes/structllarp_1_1routing_1_1IMessage.md#function-bencode)


### function DecodeKey

```cpp
virtual bool DecodeKey(
    const llarp_buffer_t & key,
    llarp_buffer_t * val
) override
```


**Reimplements**: [llarp::routing::IMessage::DecodeKey](Classes/structllarp_1_1routing_1_1IMessage.md#function-decodekey)


### function HandleMessage

```cpp
virtual bool HandleMessage(
    IMessageHandler * h,
    AbstractRouter * r
) const override
```


**Reimplements**: [llarp::routing::IMessage::HandleMessage](Classes/structllarp_1_1routing_1_1IMessage.md#function-handlemessage)


### function Clear

```cpp
inline virtual void Clear() override
```


**Reimplements**: [llarp::routing::IMessage::Clear](Classes/structllarp_1_1routing_1_1IMessage.md#function-clear)


## Public Attributes Documentation

### variable pathLifetime

```cpp
llarp_time_t pathLifetime = 0s;
```


### variable pathCreated

```cpp
llarp_time_t pathCreated = 0s;
```


-------------------------------

Updated on 2024-11-03 at 04:10:02 +0000