---
title: llarp/win32/exception.hpp

---

# llarp/win32/exception.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::win32](Namespaces/namespacellarp_1_1win32.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| class | **[llarp::win32::error](Classes/classllarp_1_1win32_1_1error.md)**  |




## Source code

```cpp
#pragma once
#include <windows.h>
#include <string>
#include <stdexcept>

namespace llarp::win32
{
  std::string
  error_to_string(DWORD err);

  class error : public std::runtime_error
  {
   public:
    explicit error(std::string msg);
    virtual ~error() = default;
    explicit error(DWORD err, std::string msg);
  };
}  // namespace llarp::win32
```


-------------------------------

Updated on 2024-11-03 at 04:10:02 +0000
